package com.nisum.ecomorder.model.dto;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
public class OrderLineDto {
    private String id;
    @NotBlank(message = "missing product id")
    private String productId;
    @Min(value = 1, message = "quantity must be at least one")
    private int quantity;
    private String productName;
    @NotNull(message = "price can't be null")
    @Min(value = 1, message = "price can't be negative")
    private Double price;
}
